# frozen_string_literal: true

require_relative "lib/seccomp/version"

Gem::Specification.new do |spec|
  spec.authors = ["mo khan"]
  spec.bindir = "exe"
  spec.description = "Helps build a seccomp profile for running Docker containers"
  spec.email = ["mo@mokhan.ca"]
  spec.executables = ["seccomp"]
  spec.files = Dir.glob([
    "*.gemspec",
    "LICENSE.txt",
    "README.md",
    "exe/*",
    "lib/**/*.erb",
    "lib/**/*.rb",
  ])
  spec.homepage = "https://github.com/xlgmokha/seccomp"
  spec.license = "MIT"
  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["rubygems_mfa_required"] = "true"
  spec.name = "seccomp"
  spec.require_paths = ["lib"]
  spec.required_ruby_version = ">= 3.0.0"
  spec.summary = spec.description
  spec.version = Seccomp::VERSION
  spec.add_dependency "thor", "~> 1.2"
end
